import { postHttp, getHttp } from '@/lib/http';
export const authApi = {
    // 上传文件
    fileUpload: () => {
        return `${process.env.VUE_APP_URL}/api/member/auth/upload`
    },
    //ocr识别地址
    ocrApi: () => {
        return `${process.env.VUE_APP_URL}/api/member/auth/ocr`
    },

    getAuthInfoApi: () => {
        return getHttp(`${process.env.VUE_APP_URL}/api/member/auth/get-auth_info`);
    },

    //三要素提交认证
    threeElementApi: data => {
        return postHttp(`${process.env.VUE_APP_URL}/api/member/auth/three-element`, data);
    },

    threeElementCaptchaApi: data => {
        return postHttp(`${process.env.VUE_APP_URL}/api/member/auth/three-element-captcha`, data);
    },
    //活体检验
    personFaceApi: data => {
        return postHttp(`${process.env.VUE_APP_URL}/api/member/auth/person-face`, data);
    },

    faceCheckApi: data => {
        return postHttp(`${process.env.VUE_APP_URL}/api/member/auth/face-check`, data);
    },

    fourElementApi: data => {
        return postHttp(`${process.env.VUE_APP_URL}/api/member/auth/four-element`, data);
    },

    checkCertificateApi: data => {
        return postHttp(`${process.env.VUE_APP_URL}/api/member/auth/check-certificate`, data);
    },

}


